net.sourceforge.pmd.properties

## Class IntegerPropertyTest

- java.lang.Object
- - net.sourceforge.pmd.properties.AbstractPropertyDescriptorTester
  - - net.sourceforge.pmd.properties.IntegerPropertyTest

-     public class IntegerPropertyTest
      extends AbstractPropertyDescriptorTester

  Evaluates the functionality of the IntegerProperty descriptor by testing its ability to catch creation errors (illegal args), flag out-of-range test values, and serialize/deserialize groups of integers onto/from a string buffer.
  Author:
    Brian Remedios

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.properties.AbstractPropertyDescriptorTester

      `allChars, alphaChars, alphaNumericChars, digitChars, punctuationChars, whitespaceChars`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntegerPropertyTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected PropertyDescriptor` | `createBadProperty(boolean multiValue)` Method createBadProperty.
    `protected Object` | `createBadValue(int count)` Creates and returns (count) number of out-of-range Integer values
    `protected PropertyDescriptor` | `createProperty(boolean multiValue)` Method createProperty.
    `protected Object` | `createValue(int count)` Method createValue.
    `static junit.framework.Test` | `suite()`
    `void` | `testErrorForBad()`

    - ### Methods inherited from class net.sourceforge.pmd.properties.AbstractPropertyDescriptorTester

      `filter, randomBool, randomChar, randomChoice, randomDouble, randomFloat, randomInt, randomInt, randomString, testAsDelimitedString, testConstructors, testErrorFor, testType, testValueFrom`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegerPropertyTest

          public IntegerPropertyTest()

  - ### Method Detail

    - #### createValue

          protected Object createValue(int count)

      Method createValue.
      Specified by:
        `createValue` in class `AbstractPropertyDescriptorTester`
      Parameters:
        `count` - int
      Returns:
        Object

    - #### createBadValue

          protected Object createBadValue(int count)

      Creates and returns (count) number of out-of-range Integer values
      Specified by:
        `createBadValue` in class `AbstractPropertyDescriptorTester`
      Parameters:
        `count` - int
      Returns:
        Object

    - #### testErrorForBad

          public void testErrorForBad()

      Overrides:
        `testErrorForBad` in class `AbstractPropertyDescriptorTester`

    - #### createProperty

          protected PropertyDescriptor createProperty(boolean multiValue)

      Method createProperty.
      Specified by:
        `createProperty` in class `AbstractPropertyDescriptorTester`
      Parameters:
        `multiValue` - boolean
      Returns:
        PropertyDescriptor

    - #### createBadProperty

          protected PropertyDescriptor createBadProperty(boolean multiValue)

      Method createBadProperty.
      Specified by:
        `createBadProperty` in class `AbstractPropertyDescriptorTester`
      Parameters:
        `multiValue` - boolean
      Returns:
        PropertyDescriptor

    - #### suite

          public static junit.framework.Test suite()

Copyright © 2002-2013 InfoEther. All Rights Reserved.